var
  test, num : boolean;
  a, b : shortint;


Begin
  test := true;
  num := false;
  Writeln ('Программа для проверки последовательности');
  Write ('Введите 1 на проверку по четности, 2 по знаку ');
  Read (a);
  While (a <> 1) and (a <> 2) do begin
    Writeln ('Вы должны ввести 1 или 2');
    Read (a);
  end;
     Begin
      if a = 1 then
        begin
          Write ('Вводите натуральные числа, закончите нулем ');
          Readln(a);
          b := a;
          if a <> 0 then
          begin
            Repeat
              Read (a);
              if a <> 0 then
              begin
                if (a mod 2) = (b mod 2) then
                  begin
                    test := false;
                    b := a;
                    num := true
                  end
                else Begin
                  b := a;
                  num := true
                end;
              end;
            Until a = 0;
          end
        end
       else begin
        Write ('Вводите натуральные числа, закончите нулем ');
          Readln(a);
          b := a;
          if a <> 0 then
          begin
            Repeat
              Read (a);
              if a <> 0 then
              begin
                if not ((a > 0) and (b < 0) or (A < 0) and (b > 0)) then
                  Begin
                    test := false;
                    num := true;
                    b := a;
                  end
                else
                 begin
                   b := a
                 end;
              end;
            Until a = 0;
          end;
        end;
     end;
  if num = false then Write('Было введено недостаточно чисел')
   else
   begin
    if test = true then
      Writeln ('Последовательность верна ')
    else
      Writeln ('Последовательность не верна ');
   end;
  readln;
  Readln;
End.


